Bug 269971 - Fragment-host can cause startup failure
Fragment-host can cause startup failure
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Module System
Dev
PC Linux
: P2 (vote)
: Dev
Assigned To: Tomas Hurka
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-03 09:43 UTC by Svata Dedic
Modified: 2017-03-10 02:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed fixes (1.40 KB, patch)
2017-03-03 09:43 UTC, Svata Dedic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2017-03-03 09:43:47 UTC
Created attachment 163751 [details]
Proposed fixes

If a fragment-host guest module is loaded before its host, ModuleManager may throw IllegalArgumentException and stop the application launch.

In Util class, fragments, which are not part of the enabled modules may cause NPE; simple check added.

Please review the diff.
Comment 1 Tomas Hurka 2017-03-07 09:09:44 UTC
The patch looks fine and it can be integrated.
Comment 2 Svata Dedic 2017-03-07 12:08:37 UTC
Fixed in jet-main#d65fc7287cac
Comment 3 Quality Engineering 2017-03-10 02:54:57 UTC
Integrated into 'main-silver', will be available in build *201703100002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d65fc7287cac
User: Svata Dedic <sdedic@netbeans.org>
Log: #269971: Fixed potential exceptions for late enabled or disabled module fragment


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo